Page MenuHomePhabricator

Introduction to Eo
Closed, ResolvedPublic

Description

Write a guide that introduce the user to using eo object by calling efl_add using constructor parameter (efl_added), setup a parent (will require to explain what happen when the parent is destroyed) and register a weak reference. Ideally showing also the use of single event and array of event (with a description of why it is better to use array of events as it reduce memory usage).

cedric created this task.Nov 2 2017, 11:25 AM

I changed it to include info on refcount and events too, I think the code part may be done :)

ajwillia.ms assigned this task to Unknown Object (User).Nov 3 2017, 11:15 AM
ajwillia.ms reassigned this task from Unknown Object (User) to segfaultxavi.
ajwillia.ms added a subscriber: Unknown Object (User).

Over to you Xavi!

I think this task is done, it has resulted in two tutorial being created:

https://www.enlightenment.org/develop/tutorial/c/eo-intro
https://www.enlightenment.org/develop/tutorial/c/eo-refcount

Both tutorials have been already reviewed.

So, what is the procedure now? Do I close this ticket? Assign it back to Cedric for approval?

segfaultxavi closed this task as Resolved.Nov 15 2017, 8:56 AM

Tutorials have been written.